Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.codes
Class SecurityAlertTypeCode.ObjectSecurityAttributedChanged

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
          org.eclipse.ohf.ihe.atna.audit.codes.SecurityAlertTypeCode
              org.eclipse.ohf.ihe.atna.audit.codes.SecurityAlertTypeCode.ObjectSecurityAttributedChanged

Enclosing class:
  SecurityAlertTypeCode

    public static class SecurityAlertTypeCode.ObjectSecurityAttributedChanged

extends SecurityAlertTypeCode

"DCM","110135", "Object Security Attributed Changed"

Since:
  OHF 1.0.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.ohf.ihe.atna.audit.codes.SecurityAlertTypeCode
`SecurityAlertTypeCode.AuditRecordingStarted, SecurityAlertTypeCode.AuditRecordingStopped, SecurityAlertTypeCode.EmergencyOverride, SecurityAlertTypeCode.HardwareConfiguration, SecurityAlertTypeCode.NetworkConfiguration, SecurityAlertTypeCode.NodeAuthentication, SecurityAlertTypeCode.ObjectSecurityAttributedChanged, SecurityAlertTypeCode.SecurityConfiguration, SecurityAlertTypeCode.SecurityRolesChanges, SecurityAlertTypeCode.SoftwareConfiguration, SecurityAlertTypeCode.UseOfRestrictedFunction, SecurityAlertTypeCode.UserSecurityAttributesChanged`

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`DB_Coded_Value_Type`

Constructor Summary
`SecurityAlertTypeCode.ObjectSecurityAttributedChanged()` "DCM","110135", "Object Security Attributed Changed"

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`getCode, getCodeSystem, getCodeSystemName, getDisplayName, getOriginalText, isValidElement, parse, setCode, setCodeSystem, setCodeSystemName, setDisplayName, setOriginalText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityAlertTypeCode.ObjectSecurityAttributedChanged

    public SecurityAlertTypeCode.ObjectSecurityAttributedChanged()

  "DCM","110135", "Object Security Attributed Changed"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD